Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.mdm.index.configurator.impl.querybuilder
Class QueryBuilderConfiguration

    java.lang.Object
      com.sun.mdm.index.configurator.impl.querybuilder.QueryBuilderConfiguration

All Implemented Interfaces:
  ConfigurationInfo, java.io.Serializable

public class QueryBuilderConfiguration
extends java.lang.Object
implements ConfigurationInfo

Query builder configuration.

See Also:
  Serialized Form

Field Summary
`static java.lang.String` | `QUERY_BUILDER` Module type name

Constructor Summary
`QueryBuilderConfiguration()` Creates a new QueryBuilderConfiguration instance.

Method Summary
`int` | `finish()` Finish.
`java.lang.String` | `getModuleType()` Get module type.
`QueryBuilder` | `getQueryBuilder(java.lang.String searchId)` Given search id, get an instance of its associated query builder.
`java.lang.String[]` | `getQueryBuilderIds()` Return all of the query builder search IDs.
`int` | `init()` Initialize.
`void` | `parse(org.w3c.dom.Node node)` Parse an XML node.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### QUERY_BUILDER

    public static final java.lang.String QUERY_BUILDER

  Module type name

  See Also:
    Constant Field Values

Constructor Detail

### QueryBuilderConfiguration

    public QueryBuilderConfiguration()

  Creates a new QueryBuilderConfiguration instance.

Method Detail

### finish

    public int finish()

  Finish.

  Specified by:
    `finish` in interface `ConfigurationInfo`
  Returns:
    result code.

### getModuleType

    public java.lang.String getModuleType()

  Get module type.

  Specified by:
    `getModuleType` in interface `ConfigurationInfo`
  Returns:
    module type

### getQueryBuilder

    public QueryBuilder getQueryBuilder(java.lang.String searchId)
                                 throws ConfigurationException

  Given search id, get an instance of its associated query builder.

  Parameters:
    `searchId` - Search ID.
  Returns:
    query builder
  Throws:
    `ConfigurationException` - if there is an error in parsing the configuration XML file.

### getQueryBuilderIds

    public java.lang.String[] getQueryBuilderIds()

  Return all of the query builder search IDs.

  Returns:
    array of search IDs.

### init

    public int init()

  Initialize.

  Specified by:
    `init` in interface `ConfigurationInfo`
  Returns:
    result code.

### parse

    public void parse(org.w3c.dom.Node node)
               throws ConfigurationException

  Parse an XML node.

  Specified by:
    `parse` in interface `ConfigurationInfo`
  Parameters:
    `node` - XML node starting the configuration node.
  Throws:
    `ConfigurationException` - if there is an error in parsing the configuration XML file.

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Sun Microsystems, Inc.